From 44b0b734128f9ffb61f9d66b2d44cc2c972a46fc Mon Sep 17 00:00:00 2001
From: Jovi Zhang <bookjovi@gmail.com>
Date: Tue, 29 Nov 2011 22:22:30 +0800
Subject: [PATCH] erts: remove useless check in efile_sendfile

remove useless check for "retval != -1".

Signed-off-by: Michael Santos <michael.santos@gmail.com>
---
 erts/emulator/drivers/unix/unix_efile.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/erts/emulator/drivers/unix/unix_efile.c b/erts/emulator/drivers/unix/unix_efile.c
index eb2c5f5..3704eca 100644
--- a/erts/emulator/drivers/unix/unix_efile.c
+++ b/erts/emulator/drivers/unix/unix_efile.c
@@ -1500,9 +1500,9 @@ efile_sendfile(Efile_error* errInfo, int in_fd, int out_fd,
 	written += retval;
 	*nbytes -= retval;
       }
-    } while (retval != -1 && retval == SENDFILE_CHUNK_SIZE);
+    } while (retval == SENDFILE_CHUNK_SIZE);
     *nbytes = written;
-    return check_error(retval == -1 ? -1 : 0, errInfo);
+    return check_error(retval, errInfo);
 #elif defined(DARWIN)
     int retval;
     off_t len;
-- 
1.7.2.3

